{
  "openapi": "3.0.4",
  "info": {
    "title": "Umbler.UTalk.Api",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://app-utalk.umbler.com/api"
    }
  ],
  "paths": {
    "/v1/activity-logs/": {
      "get": {
        "tags": [
          "ActivityLogs"
        ],
        "summary": "Returns a paginated list of the most recent events in the selected organization. Note that if you have a permission below admin, you can only query your own events.",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "ReferenceId",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "UTalkUserId",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "StartDateUTC",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "EndDateUTC",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time"
            }
          },
          {
            "name": "ActivityLogType",
            "in": "query",
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/ActivityLogType"
                }
              ]
            }
          },
          {
            "name": "Skip",
            "in": "query",
            "description": "How many items to skip before start taking ones to return",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          },
          {
            "name": "Take",
            "in": "query",
            "description": "The amount of items to get after the specified offset. Can be more than there are items available, but not more than this route's limit of items per page.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 50
            }
          },
          {
            "name": "Behavior",
            "in": "query",
            "description": "How the query should execute",
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/PaginationBehavior"
                }
              ],
              "default": "GetSliceOnly"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfActivityLogModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfActivityLogModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfActivityLogModel"
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.GetAsync(\"/v1/activity-logs/?organizationId='AB_12-xyzEXAMPLE'&ReferenceId='AB_12-xyzEXAMPLE'&UTalkUserId='AB_12-xyzEXAMPLE'&StartDateUTC=''&EndDateUTC=''&ActivityLogType=''&Skip=''&Take=''&Behavior=''\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/": {
      "post": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Creates a new AI agent.",
        "description": "<b>Rate limit:</b> Up to 10 requests in a 15 seconds window<hr/><p><b><font color=\"red\">Warning!</font> This endpoint is not marked as stable.</b></p>\n<p>It's either incomplete or intended to be used only by the Umbler Talk frontend.</p>\n<p>You can still use it if you want, but be aware that it's not supported and may break at any time without notice.</p>",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateAIAgentModel"
                  }
                ]
              }
            },
            "text/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateAIAgentModel"
                  }
                ]
              }
            },
            "application/*+json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateAIAgentModel"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "red",
            "label": "Unstable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PostAsync(\"/v1/ai-agents/\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/": {
      "get": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Gets the details of an AI agent.",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.GetAsync(\"/v1/ai-agents/{id}/?organizationId='AB_12-xyzEXAMPLE'\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      },
      "put": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Updates an AI agent.",
        "description": "<b>Rate limit:</b> Up to 10 requests in a 15 seconds window<hr/><p><b><font color=\"red\">Warning!</font> This endpoint is not marked as stable.</b></p>\n<p>It's either incomplete or intended to be used only by the Umbler Talk frontend.</p>\n<p>You can still use it if you want, but be aware that it's not supported and may break at any time without notice.</p>",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/UpdateAIAgentModel"
                  }
                ]
              }
            },
            "text/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/UpdateAIAgentModel"
                  }
                ]
              }
            },
            "application/*+json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/UpdateAIAgentModel"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "red",
            "label": "Unstable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PutAsync(\"/v1/ai-agents/{id}/?organizationId='AB_12-xyzEXAMPLE'\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      },
      "delete": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Deletes an AI agent.",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.DeleteAsync(\"/v1/ai-agents/{id}/?organizationId='AB_12-xyzEXAMPLE'\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/profile-picture/": {
      "put": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Allows to update the profile picture of an AI agent.",
        "description": "<b>Rate limit:</b> Up to 10 requests in a 15 seconds window<hr/><p><b><font color=\"red\">Warning!</font> This endpoint is not marked as stable.</b></p>\n<p>It's either incomplete or intended to be used only by the Umbler Talk frontend.</p>\n<p>You can still use it if you want, but be aware that it's not supported and may break at any time without notice.</p>",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "required": [
                  "image"
                ],
                "type": "object",
                "properties": {
                  "image": {
                    "type": "string",
                    "description": "The new photo",
                    "format": "binary"
                  }
                }
              },
              "encoding": {
                "image": {
                  "style": "form"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "string",
                  "format": "uri",
                  "example": "https://example.com"
                }
              },
              "text/json": {
                "schema": {
                  "type": "string",
                  "format": "uri",
                  "example": "https://example.com"
                }
              },
              "text/plain": {
                "schema": {
                  "type": "string",
                  "format": "uri",
                  "example": "https://example.com"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "red",
            "label": "Unstable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PutAsync(\"/v1/ai-agents/{id}/profile-picture/?organizationId='AB_12-xyzEXAMPLE'\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/ingest/": {
      "post": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Commits the changes made to the training data of an AI agent.",
        "description": "<b>Rate limit:</b> Up to 10 requests in a 15 seconds window",
        "operationId": "IngestAgent",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PostAsync(\"/v1/ai-agents/{id}/ingest/?organizationId='AB_12-xyzEXAMPLE'\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/knowledge-bases/{kbId}/ingest-kb/": {
      "post": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Commits the changes made to a specific knowledge base.",
        "description": "<b>Rate limit:</b> Up to 10 requests in a 15 seconds window",
        "operationId": "IngestKnowledgeBase",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "kbId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PostAsync(\"/v1/ai-agents/knowledge-bases/{kbId}/ingest-kb/?organizationId='AB_12-xyzEXAMPLE'\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/knowledge-bases/": {
      "post": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Creates a new knowledge base for the organization",
        "description": "<b>Rate limit:</b> Up to 50 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateKnowledgeBaseRequestModel"
                  }
                ]
              }
            },
            "text/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateKnowledgeBaseRequestModel"
                  }
                ]
              }
            },
            "application/*+json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateKnowledgeBaseRequestModel"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/KnowledgeBaseModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/KnowledgeBaseModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/KnowledgeBaseModel"
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PostAsync(\"/v1/ai-agents/knowledge-bases/?organizationId='AB_12-xyzEXAMPLE'\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      },
      "get": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Gets a list of knowledge bases for the organization",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/KnowledgeBaseModel"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/KnowledgeBaseModel"
                  }
                }
              },
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/KnowledgeBaseModel"
                  }
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.GetAsync(\"/v1/ai-agents/knowledge-bases/?organizationId='AB_12-xyzEXAMPLE'\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/voices/": {
      "get": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Gets a list of available voices to be used in an agent",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window<hr/><p><b><font color=\"red\">Warning!</font> This endpoint is not marked as stable.</b></p>\n<p>It's either incomplete or intended to be used only by the Umbler Talk frontend.</p>\n<p>You can still use it if you want, but be aware that it's not supported and may break at any time without notice.</p>",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AgentVoiceModel"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AgentVoiceModel"
                  }
                }
              },
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AgentVoiceModel"
                  }
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "red",
            "label": "Unstable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.GetAsync(\"/v1/ai-agents/voices/\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/pre-trained-sectors/": {
      "get": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Gets a list of pre-trained sectors and their agent function templates",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window<hr/><p><b><font color=\"red\">Warning!</font> This endpoint is not marked as stable.</b></p>\n<p>It's either incomplete or intended to be used only by the Umbler Talk frontend.</p>\n<p>You can still use it if you want, but be aware that it's not supported and may break at any time without notice.</p>",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AgentPreTrainedSectorModel"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AgentPreTrainedSectorModel"
                  }
                }
              },
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AgentPreTrainedSectorModel"
                  }
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "red",
            "label": "Unstable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.GetAsync(\"/v1/ai-agents/pre-trained-sectors/\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/clone-knowledge-base/": {
      "put": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Accepts two agent Ids and clones the knowledge base from one to the other.",
        "description": "<b>Rate limit:</b> Up to 10 requests in a 15 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CloneKnowledgeBaseModel"
                  }
                ]
              }
            },
            "text/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CloneKnowledgeBaseModel"
                  }
                ]
              }
            },
            "application/*+json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CloneKnowledgeBaseModel"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK"
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PutAsync(\"/v1/ai-agents/clone-knowledge-base/?organizationId='AB_12-xyzEXAMPLE'\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/import-qas-from-chats/": {
      "post": {
        "tags": [
          "AiAgents"
        ],
        "summary": "POST Ai-Agents",
        "description": "<b>Rate limit:</b> Up to 10 requests in a 15 seconds window<hr/><p><b><font color=\"red\">Warning!</font> This endpoint is not marked as stable.</b></p>\n<p>It's either incomplete or intended to be used only by the Umbler Talk frontend.</p>\n<p>You can still use it if you want, but be aware that it's not supported and may break at any time without notice.</p>",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateQAsFromChatsModel"
                  }
                ]
              }
            },
            "text/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateQAsFromChatsModel"
                  }
                ]
              }
            },
            "application/*+json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateQAsFromChatsModel"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/FullAITalkAgentModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "red",
            "label": "Unstable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PostAsync(\"/v1/ai-agents/{id}/import-qas-from-chats/\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/qa/": {
      "get": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Gets the Q&As of an AI agent.",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "Skip",
            "in": "query",
            "description": "How many items to skip before start taking ones to return",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          },
          {
            "name": "Take",
            "in": "query",
            "description": "The amount of items to get after the specified offset. Can be more than there are items available, but not more than this route's limit of items per page.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 50
            }
          },
          {
            "name": "Behavior",
            "in": "query",
            "description": "How the query should execute",
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/PaginationBehavior"
                }
              ],
              "default": "GetSliceOnly"
            }
          },
          {
            "name": "query",
            "in": "query",
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "kbId",
            "in": "query",
            "description": "Optional knowledge base ID to filter results",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfAIAgentQAModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfAIAgentQAModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfAIAgentQAModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.GetAsync(\"/v1/ai-agents/{id}/qa/?organizationId='AB_12-xyzEXAMPLE'&Skip=''&Take=''&Behavior=''&query=''&kbId=''\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      },
      "post": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Creates a Q&A for an AI agent.",
        "description": "<b>Rate limit:</b> Up to 50 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateAIAgentQAModel"
                  }
                ]
              }
            },
            "text/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateAIAgentQAModel"
                  }
                ]
              }
            },
            "application/*+json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateAIAgentQAModel"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AIAgentQAModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/AIAgentQAModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/AIAgentQAModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PostAsync(\"/v1/ai-agents/{id}/qa/?organizationId='AB_12-xyzEXAMPLE'\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/qa/{qaId}/": {
      "delete": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Deletes a Q&A for an AI agent.",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "qaId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "kbId",
            "in": "query",
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AIAgentQAModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/AIAgentQAModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/AIAgentQAModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.DeleteAsync(\"/v1/ai-agents/{id}/qa/{qaId}/?organizationId='AB_12-xyzEXAMPLE'&kbId=''\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/qa/file/": {
      "post": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Creates Q&As for an AI agent from a file.",
        "description": "<b>Rate limit:</b> Up to 50 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "required": [
                  "File"
                ],
                "type": "object",
                "properties": {
                  "File": {
                    "type": "string",
                    "description": "The file containing the Q&As. Currently supports CSV, XLS, and XLSX",
                    "format": "binary"
                  }
                }
              },
              "encoding": {
                "File": {
                  "style": "form"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AIAgentQAModel"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AIAgentQAModel"
                  }
                }
              },
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AIAgentQAModel"
                  }
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PostAsync(\"/v1/ai-agents/{id}/qa/file/?organizationId='AB_12-xyzEXAMPLE'\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/website-crawlers/": {
      "get": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Gets website crawler registrations of an AI agent training data.",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "Skip",
            "in": "query",
            "description": "How many items to skip before start taking ones to return",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          },
          {
            "name": "Take",
            "in": "query",
            "description": "The amount of items to get after the specified offset. Can be more than there are items available, but not more than this route's limit of items per page.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 50
            }
          },
          {
            "name": "Behavior",
            "in": "query",
            "description": "How the query should execute",
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/PaginationBehavior"
                }
              ],
              "default": "GetSliceOnly"
            }
          },
          {
            "name": "query",
            "in": "query",
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "kbId",
            "in": "query",
            "description": "Optional knowledge base ID to filter results",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfWebsiteCrawlerModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfWebsiteCrawlerModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfWebsiteCrawlerModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.GetAsync(\"/v1/ai-agents/{id}/website-crawlers/?organizationId='AB_12-xyzEXAMPLE'&Skip=''&Take=''&Behavior=''&query=''&kbId=''\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      },
      "post": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Creates a website crawler registration for an AI agent training data.",
        "description": "<b>Rate limit:</b> Up to 10 requests in a 15 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "requestBody": {
          "description": "",
          "content": {
            "application/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateAIAgentWebsiteCrawlerModel"
                  }
                ]
              }
            },
            "text/json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateAIAgentWebsiteCrawlerModel"
                  }
                ]
              }
            },
            "application/*+json": {
              "schema": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/CreateAIAgentWebsiteCrawlerModel"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/WebsiteCrawlerModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/WebsiteCrawlerModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/WebsiteCrawlerModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PostAsync(\"/v1/ai-agents/{id}/website-crawlers/?organizationId='AB_12-xyzEXAMPLE'\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/website-crawlers/{crawlerId}/": {
      "delete": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Deletes a website crawler registration from an AI agent training data.",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "crawlerId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "kbId",
            "in": "query",
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/WebsiteCrawlerModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/WebsiteCrawlerModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/WebsiteCrawlerModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.DeleteAsync(\"/v1/ai-agents/{id}/website-crawlers/{crawlerId}/?organizationId='AB_12-xyzEXAMPLE'&kbId=''\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/documents/": {
      "post": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Adds a new document to an AI agent training data.",
        "description": "<b>Rate limit:</b> Up to 10 requests in a 15 seconds window",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          }
        ],
        "requestBody": {
          "content": {
            "multipart/form-data": {
              "schema": {
                "required": [
                  "Document",
                  "OrganizationId"
                ],
                "type": "object",
                "properties": {
                  "OrganizationId": {
                    "type": "string",
                    "example": "AB_12-xyzEXAMPLE"
                  },
                  "Document": {
                    "type": "string",
                    "format": "binary"
                  },
                  "KbId": {
                    "type": "string"
                  }
                }
              },
              "encoding": {
                "OrganizationId": {
                  "style": "form"
                },
                "Document": {
                  "style": "form"
                },
                "KbId": {
                  "style": "form"
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AIAgentDocumentModel"
                  }
                }
              },
              "text/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AIAgentDocumentModel"
                  }
                }
              },
              "text/plain": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/AIAgentDocumentModel"
                  }
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar body = \nvar content = new StringContent(body, System.Text.Encoding.UTF8, \"application/json\");\nvar res = await client.PostAsync(\"/v1/ai-agents/{id}/documents/\", content);\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      },
      "get": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Gets the documents of an AI agent training data.",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "Skip",
            "in": "query",
            "description": "How many items to skip before start taking ones to return",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          },
          {
            "name": "Take",
            "in": "query",
            "description": "The amount of items to get after the specified offset. Can be more than there are items available, but not more than this route's limit of items per page.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 50
            }
          },
          {
            "name": "Behavior",
            "in": "query",
            "description": "How the query should execute",
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/PaginationBehavior"
                }
              ],
              "default": "GetSliceOnly"
            }
          },
          {
            "name": "query",
            "in": "query",
            "description": "",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "kbId",
            "in": "query",
            "description": "Optional knowledge base ID to filter results",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfAIAgentDocumentModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfAIAgentDocumentModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfAIAgentDocumentModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.GetAsync(\"/v1/ai-agents/{id}/documents/?organizationId='AB_12-xyzEXAMPLE'&Skip=''&Take=''&Behavior=''&query=''&kbId=''\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/ai-agents/{id}/documents/{documentId}/": {
      "delete": {
        "tags": [
          "AiAgents"
        ],
        "summary": "Deletes a document from an AI agent training data.",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "id",
            "in": "path",
            "description": "The Id of the agent",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "documentId",
            "in": "path",
            "description": "",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "kbId",
            "in": "query",
            "description": "",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AIAgentDocumentModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/AIAgentDocumentModel"
                }
              },
              "text/plain": {
                "schema": {
                  "$ref": "#/components/schemas/AIAgentDocumentModel"
                }
              }
            }
          },
          "404": {
            "description": "An object with the sent identifier could not be found",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "$ref": "#/components/schemas/ProblemDetails"
                    },
                    {
                      "$ref": "#/components/schemas/HttpValidationProblemDetails"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "When an unexpected internal server error occurs",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalErrorBasicDetails"
                }
              }
            }
          },
          "400": {
            "description": "Will return a BadRequest if a property has an invalid value",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ValidationProblemDetails"
                }
              }
            }
          }
        },
        "security": [
          {
            "Bearer": [ ]
          }
        ],
        "x-badges": [
          {
            "color": "green",
            "label": "Stable"
          }
        ],
        "x-codeSamples": [
          {
            "lang": "CSharp",
            "label": "C#",
            "source": "var client = new HttpClient { BaseAddress = new Uri(\"https://app-utalk.umbler.com\"),};\nclient.DefaultRequestHeaders.Authorization = new System.Net.Http.Headers.AuthenticationHeaderValue(\"Bearer\", \"API_TOKEN\");\nvar res = await client.DeleteAsync(\"/v1/ai-agents/{id}/documents/{documentId}/?organizationId='AB_12-xyzEXAMPLE'&kbId=''\");\nres.EnsureSuccessStatusCode();\n"
          }
        ]
      }
    },
    "/v1/bots/": {
      "get": {
        "tags": [
          "Bots"
        ],
        "summary": "Gets a paginated list of all the bots of all types of one organization. Optionally filtering by a single channel",
        "description": "<b>Rate limit:</b> Up to 100 requests in a 5 seconds window",
        "parameters": [
          {
            "name": "organizationId",
            "in": "query",
            "description": "The Id of the organization. A list of all your organizations can be retrieved using the GET /v1/members/me route. A valid id can look like this: YiwUPDF2zFWaRG01",
            "required": true,
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "channelId",
            "in": "query",
            "schema": {
              "type": "string",
              "example": "AB_12-xyzEXAMPLE"
            }
          },
          {
            "name": "OrderBy",
            "in": "query",
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/BotProperty"
                }
              ]
            }
          },
          {
            "name": "Order",
            "in": "query",
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/Order"
                }
              ]
            }
          },
          {
            "name": "query",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Skip",
            "in": "query",
            "description": "How many items to skip before start taking ones to return",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 0
            }
          },
          {
            "name": "Take",
            "in": "query",
            "description": "The amount of items to get after the specified offset. Can be more than there are items available, but not more than this route's limit of items per page.",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 50
            }
          },
          {
            "name": "Behavior",
            "in": "query",
            "description": "How the query should execute",
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/PaginationBehavior"
                }
              ],
              "default": "GetSliceOnly"
            }
          },
          {
            "name": "groupIds",
            "in": "query",
            "schema": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "AB_12-xyzEXAMPLE"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfBotBaseModel"
                }
              },
              "text/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginationOfBotBaseModel"
                }
              },
              "text/plain": {
                "schema": {
[...]
